Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.verbosity.SetLogger

class `mvpa2.base.verbosity.``SetLogger`(register=None, active=None, printsetid=True, *args, **kwargs)

  Logger which prints based on defined sets identified by Id.

  Methods

  `print_registered`([detailed]) |
  `register`(setid, description) | “Register” a new setid with a given description for easy finding
  `set_active_from_string`(value) | Given a string listing registered(?) setids, make then active

  Parameters:

  register : dict or None

  > What Ids are to be known. Each item dictionary contains consists of concise key and a description as the value.

  active : iterable

  > What Ids to consider active upon initialization.

  printsetid : bool, optional

  > Either to prefix each line with the target Id of a set in which the line was printed to (default behavior).

  Methods

  `print_registered`([detailed]) |
  `register`(setid, description) | “Register” a new setid with a given description for easy finding
  `set_active_from_string`(value) | Given a string listing registered(?) setids, make then active

  `active`
  `print_registered`(detailed=True)
  `printsetid`
  `register`(setid, description)

    “Register” a new setid with a given description for easy finding

  `registered`
  `set_active_from_string`(value)

    Given a string listing registered(?) setids, make then active

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »